--TEST--
helpers #56 - knownHelpers
--DESCRIPTION--
knownHelpers - Functions are bound to the context in knownHelpers only mode
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{foo}}';
$context = array(
        'foo' => function($context) { return $context['bar']; }/*function () { return this.bar; }*/,
        'bar' => 'bar',
    );
$options = array(
        'knownHelpersOnly' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
bar