--TEST--
strict #9 - strict mode
--DESCRIPTION--
strict mode - should throw on ambiguous blocks
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#hello}}{{/hello}}';
$context = NULL;
$options = array(
        'strict' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
/* Error message: /"hello" not defined in/ */
--EXPECTF--
%AUncaught%A