--TEST--
string-params #6 - string params mode
--DESCRIPTION--
string params mode - hash parameters get context information
--SKIPIF--
<?php if( true ) die('skip string params are not supported by the VM'); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '{{#with dale}}{{tomdale he.says desire=\'need\' noun=../dad/joke bool=true}}{{/with}}';
$context = array(
        'dale' => array(),
    );
$helpers = new DefaultRegistry(array(
        'tomdale' => function($exclamation, $options) {
        return "Helper called";
      }/*function (exclamation, options) {
        return "Helper called";
      }*/,
        'with' => function($context, $options) {
        return $options->fn($options['contexts'][0][$context]);
      }/*function (withContext, options) {
        return options.fn(options.contexts[0][withContext]);
      }*/,
    ));
$options = array(
        'stringParams' => true,
    );
$vm = new VM();
$vm->setHelpers($helpers);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
Helper called