--TEST--
partials #7 - Standalone Line Endings
--DESCRIPTION--
Standalone Line Endings - "\r\n" should be considered a newline for standalone tags.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '|
{{>partial}}
|';
$context = array();
$partials = new DefaultRegistry(array(
        'partial' => '>',
    ));
$options = array(
        'compat' => true,
    );
$vm = new VM();
$vm->setPartials($partials);
echo $vm->render($tmpl, $context, $options);
--EXPECT--
|
>|